import {
  startStatus
} from '@/assets/js/blockSort'

export const incubator = () => {
  return [{
    field: 'selection',
    label: '多选',
    align: 'center',
  }, {
    field: 'T_devName',
    label: '名称',
    align: 'center',
  }]
}

export const employee = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'name',
    label: '名称',
    align: 'center',
  }, {
    field: 'sn',
    label: 'SN',
    align: 'center',
  }, {
    field: 'status',
    label: '状态',
    align: 'center',
    options: startStatus()
  }, {
    field: 'action',
    label: '操作',
    colWidth: '240px',
    align: 'center',
    labelButton: [{
      type: 'logs',
      label: '详情',
      icon: 'el-icon-tickets',
      style: 'success',
    }, {
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-delete',
      style: 'danger',
    }]
  }]
}

export const formRules = () => {
  return [{
    field: 'name',
    label: '名称',
    placeholder: '请输入名称',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入名称',
      trigger: 'blur'
    }]
  }, {
    field: 'sn',
    label: 'SN',
    placeholder: '请输入SN',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: true,
      message: '请输入SN',
      trigger: 'blur'
    }]
  }, {
    field: 'status',
    label: '状态',
    placeholder: '状态',
    type: 'radio',
    colWidth: 24,
    rules: [{
      required: true,
      message: '选择状态',
      trigger: 'change'
    }],
    options: startStatus()
  }]
}
